Subject: Re: bug#32029: [PATCH] xref-find-definitions-at-mouse

From: Dmitry Gutov <[email-masked]>
Date: Wed, 4 Jul 2018 15:24:25 +0300

On 7/4/18 11:03 AM, Tobias Gerdin wrote:
> Den 2018-07-03 kl. 15:15, skrev Dmitry Gutov:
>>> I think this can be written much shorter (call mouse-set-point, then 
>>> interactively call xref-find-definitions), but I'm not sure how.
> Actually, since the mark will be saved before the jump if one could 
> arrange for saving the mark before the call to mouse-set-point and not 
> saving it again before jumping the call to save-excursion would not be 
> needed and xref-find-definitions could be called interactively.
Would that really be a desired behavior, though?

Regarding the patch, I'm fine with it, but I'd like someone else to 
confirm that the name of the new function makes sense.